Subject: bug#40184: Add support for leds to keyboard-layout

From: Brice Waegeneire <[email-masked]>
Date: Sun, 22 Mar 2020 18:17:30 +0000

Hello,

The keyboard configuration mechanism through `keyboard-layout' is really
nice in Guix: setting it once and using it in different components. 
Having
the same ability but to set the default state of keyboard leds would be
even better. That is avoiding to use setleds(1) and/or xset(1) to have
CapsLock, NumLock and ScrollLock enable or disable at startup.

Brice.